#!/bin/bash

if [ $# -ne 2 ]; then
  echo "Usage : <[in]word-file> <[out]ps-file>"
  exit 1
fi

#シェルのディレクトリを取得する.
sh_dir=$(cd "$(dirname "$0")"; pwd)

#JScriptファイルのパスをWindows形式で取得する.
js_path=`wslpath -w ${sh_dir}/word2pdf.js`

#wordファイルの絶対パスを取得する.
word_path=$(cd "$(dirname "$1")"; pwd)/$(basename "$1")

#wordファイルのパスをWindows形式で取得する.
word_wpath=`wslpath -w ${word_path}`

#PDFファイルのパスを取得する.
pdf_path=${sh_dir}/tmp/$(basename $1).pdf
pdf_wpath=`wslpath -w ${pdf_path}`

# wordファイルをPDFに変換する.
cscript.exe //NOLOGO ${js_path} ${word_wpath} ${pdf_wpath}

# PDFファイルをpsファイルに変換する.
pdftops ${pdf_path} $2

exit 0
